> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onefirewall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# One IPv4

> You can call the API `/api/v1/ips/<IPv4>` in order to receive information for the IPv4 feeds in request if is presented at the OneFirewall Data lake. This API is useful when you want to verify if OneFirewall have an information for the actor in request.



## OpenAPI

````yaml get /ips/{ipv4}
openapi: 3.0.2
info:
  title: OneFirewall Alliance - OpenAPI 3.0
  description: >-
    The API documentation site serves as a comprehensive resource for developers
    looking to utilize the OneFirewall Platform's application programming
    interface (API). It offers in-depth information on API endpoints,
    parameters, responses, and authentication processes. Additionally, it
    features practical examples and code snippets to assist developers in
    integrating the API into their own applications. The website is crafted to
    be user-friendly, intuitive, and easily navigable, enabling developers to
    swiftly locate the necessary information to begin working with the API.
  termsOfService: https://onefirewall.com/eula.html
  contact:
    email: support@onefirewall.com
    url: https://onefirewall.com/contact.html
    name: Engineering Division
  license:
    name: ''
    url: ''
  version: V4.18.0
servers:
  - url: https://app.onefirewall.com/api/v1
    description: OneFirewall Server
    variables: {}
security: []
tags:
  - name: IPv4 Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: IoCs
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Tools
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: URL Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Domain Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Security Binary Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Secure VPN
    description: Secure VPN by OneFirewall
    externalDocs:
      description: ''
      url: ''
  - name: WCF Agent
    description: ''
    externalDocs:
      description: ''
      url: ''
externalDocs:
  description: http://docs.onefirewall.com
  url: http://app.onefirewall.com
paths:
  /ips/{ipv4}:
    parameters:
      - in: path
        name: ipv4
        description: A single IPv4
        schema:
          type: string
        required: true
    get:
      tags:
        - IPv4 Feeds
      summary: One IPv4
      description: >-
        You can call the API `/api/v1/ips/<IPv4>` in order to receive
        information for the IPv4 feeds in request if is presented at the
        OneFirewall Data lake. This API is useful when you want to verify if
        OneFirewall have an information for the actor in request.
      operationId: One IPv4
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                type: string
              examples:
                example1:
                  value:
                    header:
                      type: IPv4
                      version: 2
                      ts: '1684014988'
                      page_size: 1
                      delay: 0
                      eval: >-
                        return (scoreTimeZero) / (1 + Math.exp(
                        (3/(scoreTimeZero)) * ((current_time/3600) - (2.5 *
                        scoreTimeZero))))
                      exec_python: >-
                        score = (scoreTimeZero) / (1 + numpy.exp(
                        (3/(scoreTimeZero)) * ((current_time/3600) - (2.5 *
                        scoreTimeZero))))
                      user:
                        guid: OFA-GUID-XXXX-XXXX-XXXX
                        name: Your name
                        surname: Your surname
                        username: Your email
                        role: 0
                        unsuccessful_login: 0
                        member_of:
                          gid: OFA-GID-XXXXXXX
                          name: Organisation name
                          trust: 0.9
                          delay: '0'
                    body:
                      - gid: OFA-RULE-GID-XXXXXX
                        ip: XXX.YYY.ZZZ.WWW
                        ts: 1684015144
                        entry_ts: 1683928684
                        is_network: false
                        ip_info:
                          as_domain: cloudflare.com
                          as_name: Cloudflare, Inc.
                          asn: AS13335
                          continent: NA
                          continent_name: North America
                          country: US
                          country_name: United States
                        score: 34
                        info:
                          members: 1
                          events: 1
                          sources:
                            - sshlog
                          stix_bundles: []
                          attack_infos: []
                          notes:
                            - >-
                              May 12 23:47:55 OFA-SRV2 sshd[12317]:
                              pam_unix(sshd:auth): authentication failure;
                              logname= uid=0 euid=0 tty=ssh ruser=
                              rhost=XXX.YYY.ZZZ.WWW  user=root
                        elk_ts: '2023-05-13T21:59:04.000Z'
                        elk_entry_ts: '2023-05-12T21:58:04.000Z'
                        delay: 0
                        dec: 8.3e-7
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      description: Authorization Token
      name: Authorization

````